Bug 242518 - mail/exim: Update to 4.93
Summary: mail/exim: Update to 4.93
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-09 08:19 UTC by Dani
Modified: 2020-02-24 16:02 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2019-12-09 08:19:14 UTC
Exim 4.93 has been released.

Changelog: https://github.com/Exim/exim/blob/master/doc/doc-txt/ChangeLog

New Stuff: https://github.com/Exim/exim/blob/master/src/README.UPDATING
-> Some build options have changed.
Comment 1 VVD 2020-02-17 23:24:26 UTC
Can't build 4.93 on 12.1 amd64:
> ../Local/sa-exim.c:1221:21: error: expected expression
>             CHECKERR(stret,string_sprintf("SA body write to msg"),__LINE__);
>                            ^

OPTIONS_FILE_UNSET+=ALT_CONFIG_PREFIX
OPTIONS_FILE_SET+=CONTENT_SCAN
OPTIONS_FILE_SET+=DAEMON
OPTIONS_FILE_UNSET+=DEBUG
OPTIONS_FILE_SET+=DISABLE_D_OPT
OPTIONS_FILE_SET+=DKIM
OPTIONS_FILE_SET+=DNSSEC
OPTIONS_FILE_SET+=DOCS
OPTIONS_FILE_SET+=EMBEDDED_PERL
OPTIONS_FILE_SET+=EVENT
OPTIONS_FILE_UNSET+=EXIMON
OPTIONS_FILE_SET+=ICONV
OPTIONS_FILE_SET+=INTERNATIONAL
OPTIONS_FILE_SET+=IPV6
OPTIONS_FILE_UNSET+=LISTMATCH_RHS
OPTIONS_FILE_SET+=LMTP
OPTIONS_FILE_SET+=OCSP
OPTIONS_FILE_SET+=PRDR
OPTIONS_FILE_UNSET+=PROXY
OPTIONS_FILE_UNSET+=READLINE
OPTIONS_FILE_UNSET+=SOCKS
OPTIONS_FILE_SET+=SPF
OPTIONS_FILE_SET+=SUID
OPTIONS_FILE_UNSET+=TCP_WRAPPERS
OPTIONS_FILE_UNSET+=WISHLIST
OPTIONS_FILE_SET+=TLS
OPTIONS_FILE_UNSET+=GNUTLS
OPTIONS_FILE_SET+=SA_EXIM
OPTIONS_FILE_SET+=SRS
OPTIONS_FILE_SET+=AUTH_CRAM_MD5
OPTIONS_FILE_SET+=AUTH_DOVECOT
OPTIONS_FILE_SET+=AUTH_PLAINTEXT
OPTIONS_FILE_UNSET+=AUTH_RADIUS
OPTIONS_FILE_UNSET+=AUTH_SASL
OPTIONS_FILE_SET+=AUTH_SPA
OPTIONS_FILE_UNSET+=SASLAUTHD
OPTIONS_FILE_SET+=PAM
OPTIONS_FILE_SET+=PASSWD
OPTIONS_FILE_SET+=CDB
OPTIONS_FILE_UNSET+=BDB
OPTIONS_FILE_SET+=DNSDB
OPTIONS_FILE_SET+=DSEARCH
OPTIONS_FILE_SET+=LSEARCH
OPTIONS_FILE_SET+=MYSQL
OPTIONS_FILE_SET+=NIS
OPTIONS_FILE_SET+=OPENLDAP
OPTIONS_FILE_UNSET+=PGSQL
OPTIONS_FILE_UNSET+=REDIS
OPTIONS_FILE_UNSET+=SQLITE
OPTIONS_FILE_SET+=MAILDIR
OPTIONS_FILE_SET+=MAILSTORE
OPTIONS_FILE_SET+=MBX
OPTIONS_FILE_UNSET+=CERTNAMES
OPTIONS_FILE_SET+=DANE
OPTIONS_FILE_UNSET+=DCC
OPTIONS_FILE_SET+=DMARC
OPTIONS_FILE_SET+=DSN
OPTIONS_FILE_UNSET+=ARC
OPTIONS_FILE_UNSET+=LMDB
OPTIONS_FILE_UNSET+=QUEUEFILE
Comment 2 VVD 2020-02-17 23:43:03 UTC
This patch fixed build (Local/sa-exim.c:1221):
- CHECKERR(stret,string_sprintf("SA body write to msg"),__LINE__);
+ CHECKERR(stret,"SA body write to msg",__LINE__);
Comment 3 Vsevolod Stakhov freebsd_committer 2020-02-18 18:59:41 UTC
This file does not exist when SA_EXIM is not enabled.
Comment 4 commit-hook freebsd_committer 2020-02-18 19:09:28 UTC
A commit references this bug:

Author: vsevolod
Date: Tue Feb 18 19:09:11 UTC 2020
New revision: 526471
URL: https://svnweb.freebsd.org/changeset/ports/526471

Log:
  - Fix build for SA_EXIM option

  PR:		242518
  Reported by:	VVD <vvd at unislabs.com>
  > Description of fields to fill in above:                     76 columns --|
  > PR:                       If and which Problem Report is related.
  > Submitted by:             If someone else sent in the change.
  > Reported by:              If someone else reported the issue.
  > Reviewed by:              If someone else reviewed your modification.
  > Approved by:              If you needed approval for this commit.
  > Obtained from:            If the change is from a third party.
  > MFC after:                N [day[s]|week[s]|month[s]].  Request a reminder email.
  > MFH:                      Ports tree branch name.  Request approval for merge.
  > Relnotes:                 Set to 'yes' for mention in release notes.
  > Security:                 Vulnerability reference (one per line) or description.
  > Sponsored by:             If the change was sponsored by an organization.
  > Differential Revision:    https://reviews.freebsd.org/D### (*full* phabric URL needed).
  > Empty fields above will be automatically removed.

  M    exim/Makefile
  AM   exim/files/extra-patch-Local-sa-exim.c

Changes:
  head/mail/exim/Makefile
  head/mail/exim/files/extra-patch-Local-sa-exim.c
Comment 5 hdeleeuw 2020-02-21 08:19:27 UTC
I don't know if this is the right place to post this, as I'm new to bug reporting, but I saw the comment by VVD, and I thought this was a similar case.

Can't build on 11.3-RELEASE-p6 amd64.
Type ulong is missing:

cc exim_monitor/em_menu.c
../exim_monitor/em_menu.c:673:10: error: use of undeclared identifier 'ulong'; did you mean 'long'?
        (ulong)statbuf.st_size);
         ^~~~~
         long
../exim_monitor/em_menu.c:673:16: error: expected ')'
        (ulong)statbuf.st_size);
               ^
../exim_monitor/em_menu.c:672:17: note: to match this '('
      text_showf(text, "Format error in spool file %s: size=%lu\n", buffer,
                ^
2 errors generated.
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/mail/exim/work/exim-4.93/build-FreeBSD-amd64
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/mail/exim/work/exim-4.93
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/mail/exim
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/exim
Comment 6 VVD 2020-02-21 10:55:14 UTC
(In reply to hdeleeuw from comment #5)
I got same on unsupported 10.3 (didn't tested on 11.x) and just replaced ulong on unsigned long - after this it build fine.
Comment 7 hdeleeuw 2020-02-21 11:55:12 UTC
(In reply to VVD from comment #6)
I know I could do this, but I thought I'd mention it, because 11.3 is a supported release, so it should build there without manual intervention.
Comment 8 Dima Panov freebsd_committer 2020-02-24 16:02:43 UTC
(In reply to hdeleeuw from comment #7)


Folks, EXIMON issue was fixed in r526980